Subject: Re: bug#55488: GDM, GNOME: Can't start desktop session after upgrade

From: Luis Felipe <[email-masked]>
Date: Tue, 31 May 2022 20:50:42 +0000

Hi Ludo,

Since its been a while, lots of commits have gone into master and https://issues.guix.gnu.org/55444 is solved, I decided to reconfigure the system, and try again. Unfortunately, I still can't start a GNOME session. I update the system information below and provide the data you asked for in the last message.

My current system generation that presents the same issue is this one:

~~~
Generation 86	May 31 2022 11:42:31	(current)
  file name: /var/guix/profiles/system-86-link
  canonical file name: /gnu/store/pfaj2d8w7vwg1ywrb7pib958angiys2r-system
  label: GNU with Linux-Libre 5.17.11
  bootloader: grub-efi
  root device: UUID: 3f651226-f53e-4944-8bf8-a0b8c28cfac5
  kernel: /gnu/store/w8py29cnikbg69jvxhxb33cp86vx4lxc-linux-libre-5.17.11/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: d11d27e2e4a0e6d132127f5130533b0ce9d04481
  configuration file: /gnu/store/7s2xwvwvsa6nv3mmn6g65vra4mlmlw0w-configuration.scm
~~~

Checking /var/log/messages for the restart after system reconfigure, I see several lines that have errors, one of which is CRITICAL:

~~~
...
May 31 12:23:57 localhost vmunix: [    0.343582] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PR00._CPC], AE_NOT_FOUND (20211217/psargs-330)
May 31 12:23:57 localhost vmunix: [    0.343589] ACPI Error: Aborting method \_SB.PR01._CPC due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
May 31 12:23:57 localhost vmunix: [    0.343616] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PR00._CPC], AE_NOT_FOUND (20211217/psargs-330)
May 31 12:23:58 localhost vmunix: [    0.343619] ACPI Error: Aborting method \_SB.PR02._CPC due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
May 31 12:23:37 localhost NetworkManager[380]: <info>  [1654017817.5747] manager[0x12a9000]: monitoring kernel firmware directory '/lib/firmware'.
May 31 12:23:58 localhost vmunix: [    0.343644] ACPI BIOS Error (bug): Could not resolve symbol [\_SB.PR00._CPC], AE_NOT_FOUND (20211217/psargs-330)
May 31 12:23:58 localhost vmunix: [    0.343648] ACPI Error: Aborting method \_SB.PR03._CPC due to previous error (AE_NOT_FOUND) (20211217/psparse-529)
...
May 31 12:23:49 localhost gdm: Gdm: GdmLocalDisplayFactory: Failed to issue method call: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.freedesktop.login1': timed out (service_start_timeout=25000ms)
...
May 31 12:24:24 localhost vmunix: [   24.524488] Error: Driver 'pcspkr' is already registered, aborting...
...
May 31 12:24:20 localhost gdm: Gdm: Failed to contact accountsservice: Error calling StartServiceByName for org.freedesktop.Accounts: Timeout was reached
...
May 31 12:24:31 localhost shepherd[1]: [dbus-daemon] ** (accounts-daemon:421): CRITICAL **: 12:24:28.105: error getting polkit authority: Error initializing authority: Error calling StartServiceByName for org.freedesktop.PolicyKit1: Timeout was reached
...
May 31 12:24:47 localhost gnome-session-binary[488]: WARNING: Failed to upload environment to systemd: GDBus.Error:org.freedesktop.DBus.Error.NameHasNoOwner: Name "org.freedesktop.systemd1" does not exist
...
May 31 12:25:00 localhost pulseaudio[552]: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.ServiceUnknown: The name org.bluez was not provided by any .service files
~~~

But I sent the whole log to you privately just in case.

After trying to log in to GNOME, running "sudo herd status" displays pretty much the same as before:

~~~
Iniciado:
 + avahi-daemon
 + console-font-tty1
 + console-font-tty2
 + console-font-tty3
 + console-font-tty4
 + console-font-tty5
 + console-font-tty6
 + dbus-system
 + elogind
 + file-system-/boot/efi
 + file-system-/dev/pts
 + file-system-/dev/shm
 + file-system-/gnu/store
 + file-system-/run/systemd
 + file-system-/run/user
 + file-system-/sys/firmware/efi/efivars
 + file-system-/sys/fs/cgroup
 + file-system-/sys/fs/cgroup/blkio
 + file-system-/sys/fs/cgroup/cpu
 + file-system-/sys/fs/cgroup/cpuacct
 + file-system-/sys/fs/cgroup/cpuset
 + file-system-/sys/fs/cgroup/devices
 + file-system-/sys/fs/cgroup/elogind
 + file-system-/sys/fs/cgroup/freezer
 + file-system-/sys/fs/cgroup/memory
 + file-system-/sys/fs/cgroup/perf_event
 + file-system-/sys/fs/cgroup/pids
 + file-system-/sys/kernel/debug
 + file-system-/var/cache/fontconfig
 + file-systems
 + guix-daemon
 + loopback
 + mcron
 + networking
 + nscd
 + ntpd
 + root
 + root-file-system
 + swap-/dev/sda2
 + syslogd
 + term-tty1
 + term-tty2
 + term-tty3
 + term-tty4
 + term-tty5
 + term-tty6
 + udev
 + upower-daemon
 + urandom-seed
 + user-file-systems
 + user-processes
 + virtual-terminal
 + wpa-supplicant
 + xorg-server
Detenido:
 - term-console
Ejecución única (one-shot):
 * host-name
 * sysctl
 * user-homes
~~~

Running "guix system vm config.scm", where config.scm is the same minimal config in comment 2 (https://issues.guix.gnu.org/55488#2), the problem is still there and it is pretty much the same as in the original's report VM session: I log in, but the desktop session never starts; I'm taken back to log in screen. The only difference is that this time the log in form does not present problems on subsequent tries.

Finally, moving files from /var/lib/gdm out of the way does not help. The problem persists.

For what it's worth, this is my machine information:

~~~
OS: Guix System x86_64
Host: Vostro 3470
Kernel: 5.17.11-gnu
Shell: bash 5.1.8
WM: Mutter
Terminal: alacritty
CPU: Intel i3-8100 (4) @ 3.600GHz
GPU: Intel 8th Gen Core Processor Gaussian Mixture Model
Memory: 1791MiB / 3761MiB
HDD: 1 TiB (Yes, Hard Disk Drive)
~~~